Bug 1406344 - [cns-deploy] When using service account, No need to specify the Namespace in oc process for heketi deployment
Summary: [cns-deploy] When using service account, No need to specify the Namespace in ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: cns-deploy-tool
Version: cns-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: CNS 3.5
Assignee: Raghavendra Talur
QA Contact: Prasanth
URL:
Whiteboard:
Depends On:
Blocks: 1415598
TreeView+ depends on / blocked
 
Reported: 2016-12-20 10:30 UTC by Mohamed Ashiq
Modified: 2018-12-06 19:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the user had to keep track of the namespace, and had to mention the namespace for heketi to contact the kube client using the namespace value. With this release, the user can get the Kuberenetes option to connect to kube client from the secret mounted in the heketi pod, resulting in better usability.
Clone Of:
Environment:
Last Closed: 2017-04-20 18:26:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1430859 unspecified CLOSED Make heketi credentials a configurable value in CNS 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHEA-2017:1112 normal SHIPPED_LIVE cns-deploy-tool bug fix and enhancement update 2017-04-20 22:25:47 UTC

Internal Links: 1430859

Description Mohamed Ashiq 2016-12-20 10:30:08 UTC
Description of problem:
Namespace need not be mentioned as heketi can pick it up from the secrets.

Comment 1 Mohamed Ashiq 2016-12-20 13:00:07 UTC
The HEKETI_KUBE_NAMESPACE is not required as we can fetch the namespace from secret. This can be removed from the cns-deploy

#   oc process deploy-heketi -v \
         HEKETI_KUBE_NAMESPACE=${NAMESPACE} \
         HEKETI_KUBE_INSECURE=y \
         HEKETI_KUBE_SECRETNAME="${heketi_secret}" \
HEKETI_KUBE_APIHOST="${kubeapi}" | oc create -f -

Comment 3 Humble Chirammal 2016-12-20 13:41:42 UTC
https://github.com/gluster/gluster-kubernetes/issues/56

Comment 4 Humble Chirammal 2016-12-21 09:26:10 UTC
(In reply to Humble Chirammal from comment #3)
> https://github.com/gluster/gluster-kubernetes/issues/56

Discard above command, wrong paste.

Comment 5 Raghavendra Talur 2016-12-23 12:30:53 UTC
Patch upstream at https://github.com/gluster/gluster-kubernetes/pull/120

Comment 8 RHEL Program Management 2016-12-27 05:52:49 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 9 Humble Chirammal 2016-12-27 07:54:19 UTC
This bz got closed due to a mistake in clearing dev-ack flag. Reopened and considering for CNS 3.5.

Comment 12 Raghavendra Talur 2017-02-21 07:44:39 UTC
Patch available and merged upstream at https://github.com/gluster/gluster-kubernetes/pull/112

Comment 13 Humble Chirammal 2017-02-27 13:03:18 UTC
(In reply to Raghavendra Talur from comment #12)
> Patch available and merged upstream at
> https://github.com/gluster/gluster-kubernetes/pull/112

Available with CNS 3.5 builds.

Comment 14 Prasanth 2017-04-03 12:29:15 UTC
Verified

Comment 15 Bhavana 2017-04-18 07:14:06 UTC
Edited the doc text for the errata and got it reviewed by Ashiq.

Comment 17 errata-xmlrpc 2017-04-20 18:26:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1112

Comment 18 vinutha 2018-12-06 19:38:07 UTC
Marking qe-test-coverage as - since the preferred mode of deployment is using ansible


Note You need to log in before you can comment on or make changes to this bug.